aboutsummaryrefslogtreecommitdiff
path: root/bindings/ruby/rdoc.sh
diff options
context:
space:
mode:
authorDavid Bremner <bremner@debian.org>2018-06-12 22:39:33 -0300
committerDavid Bremner <bremner@debian.org>2018-06-12 22:39:33 -0300
commit045f0e455ac94e2393d0d729c9bbdf3459a4860f (patch)
tree8d8b46ecba2c3c128365f16ece54377b987dbe58 /bindings/ruby/rdoc.sh
Import notmuch_0.27.orig.tar.gz
[dgit import orig notmuch_0.27.orig.tar.gz]
Diffstat (limited to 'bindings/ruby/rdoc.sh')
-rwxr-xr-xbindings/ruby/rdoc.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/bindings/ruby/rdoc.sh b/bindings/ruby/rdoc.sh
new file mode 100755
index 00000000..1e867ff9
--- /dev/null
+++ b/bindings/ruby/rdoc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if test -z "$RDOC"; then
+ RDOC=rdoc
+ if which rdoc19 >/dev/null 2>&1; then
+ RDOC=rdoc19
+ fi
+fi
+
+set -e
+set -x
+
+$RDOC --main 'Notmuch' --title 'Notmuch Ruby API' --op ruby *.c
+
+if test "$1" = "--upload"; then
+ rsync -avze ssh --delete --partial --progress ruby bach.exherbo.org:public_html/notmuch/
+fi